// this json holds the different pages. If you want to add/remove/rename a page, do so here.
const APIpath = 'API/';
const VERSION = '3.0';
const HEADING = 'Peoples Biodiversity Register, Pune'
const menu = {
    "Flora": "index.html",
    "Fauna": "fauna.html",
}

// ############################
// RUN ON ALL PAGES
$(document).ready(function() {

    // initiate accordion
	$( "#accordion" ).accordion({
		collapsible: true, active: false
	});

	$('#about-text').html(`
	<p>Let us prepare the People’s Biodiversity Register of Pune city!</p>

	<p>The Maharashtra State Biodiversity Board states that the urban local bodies need to prepare a People’s Biodiversity Register (PBR) in consultation with the local people. The PBR is a documented repository of a community’s knowledge of its local bio and cultural resources. It is to be undertaken in a participatory mode involving various sections of society. The information provided by people needs to be collated, analysed and cross checked by the experts before it is documented. The baseline data will help us in understanding the state of biodiversity as of today and will be a very useful tool in the management of Pune city’s biodiversity in future. This inventory can also be a very useful for environmental studies at schools, colleges and universities. </p>
	<p>The making of biodiversity register is an evolving process, our endeavor is to periodically update with additional and new information as and when generated. We will be taking help from experts in the field of biodiversity to help us validate and moderate the data.</p>
    
	<p>We urge the citizen of Pune to voluntarily contribute their knowledge on this platform and help Pune city to prepare it’s first ever biodiversity register.<br>
	<i>-- Mangesh Dighe, Environment Officer, PMC</i></p>
	`);
	
	// Usage tracker
	/*
	var pageName = location.pathname.split("/").slice(-1).join();
	if(pageName == '') pageName = 'index.html';
	console.log(pageName);
	
	// Footer
	$("#footer").html(`
	version ${VERSION}
	<!-- Matomo Image Tracker-->
	<img src="https://nikhilvj.co.in/tracking/piwik.php?idsite=5&amp;rec=1&amp;action_name=${pageName}" style="border:0" alt="" width="0" height="0" />
	<!-- End Matomo -->
	`);
	*/
});

function shakeIt(targetId) {
	$('#'+targetId).effect( "shake", {times:3}, 500 );
}

function getLocation() {

    // from https://w3c.github.io/geolocation-api/#ex-4-example-of-requesting-a-potentially-cached-position
    // Request a position. We accept positions whose age is not
    // greater than 10 minutes. If the user agent does not have a
    // fresh enough cached position object, it will automatically
    // acquire a new one.
    navigator.geolocation.getCurrentPosition(locationSuccessCallback,
    locationErrorCallback,
    {maximumAge:600000});
     // By using the 'maximumAge' option above, the position
    // object is guaranteed to be at most 10 minutes old.

}

function locationSuccessCallback(position) {
    // (position.coords.latitude, position.coords.longitude).
    let lat = Math.round(position.coords.latitude*10000)/10000;
    let lon = Math.round(position.coords.longitude*10000)/10000;

    // from https://select2.org/programmatic-control/add-select-clear-items
    var data = {
        id: `${lat}, ${lon}`,
        text: `${lat}, ${lon}`
    };

    var newOption = new Option(data.text, data.id, false, true);
    $('#selectLocation').append(newOption).trigger('change');

}

function locationErrorCallback(error) {
    // Update a div element with error.message.
}