const tableHeight = 300;

//###########################
// TABLES

// first, define custom functions that will be called by the table
var submissionsTotal = function(values, data, calcParams){
	var calc = values.length;
	return calc + ' total';
}

var floraTable = new Tabulator("#floraTable", {
	height:tableHeight,
	ajaxURL: `${APIpath}table`, //ajax URL
	layout:"fitColumns", //fit columns to width of table (optional)
	columns: [
        {title: 'sr', field: 'sr', width:30, headerSort:false, headerFilter:"input", frozen:true },
        {title: 'UserID', field: 'UserID', width:100, headerSort:false, headerFilter:"input", bottomCalc:submissionsTotal },
        {title: 'Status', field: 'Status', width:80, headerSort:false, headerFilter:"input" },
        {title: 'LocalName', field: 'LocalName', width:150, headerSort:false, headerFilter:"input" },
        {title: 'ScientificName', field: 'ScientificName', width:220, headerSort:false, headerFilter:"input" },
        {title: 'TypeOfPlants', field: 'TypeOfPlants', width:100, headerSort:false, headerFilter:"input" },
        {title: 'Habitat', field: 'Habitat', width:80, headerSort:false, headerFilter:"input" },
        {title: 'FloweringSeason', field: 'FloweringSeason', width:150, headerSort:false, headerFilter:"input" },
        {title: 'Remarks', field: 'Remarks', width:100, headerSort:false, headerFilter:"input" }
    ],
    clipboard:"copy",
    clipboardCopySelector: "selected",
    movableColumns: true,
    selectable:true
});


var faunaTable = new Tabulator("#faunaTable", {
	height:tableHeight,
	ajaxURL: `${APIpath}table?category=fauna`, //ajax URL
	layout:"fitColumns", //fit columns to width of table (optional)
	columns: [
        {title: 'sr', field: 'sr', width:30, headerSort:false, headerFilter:"input", frozen:true },
        {title: 'UserID', field: 'UserID', width:100, headerSort:false, headerFilter:"input", bottomCalc:submissionsTotal },
        {title: 'Status', field: 'Status', width:80, headerSort:false, headerFilter:"input" },
        {title: 'LocalName', field: 'LocalName', width:150, headerSort:false, headerFilter:"input" },
        {title: 'ScientificName', field: 'ScientificName', width:220, headerSort:false, headerFilter:"input" },
        {title: 'TypeOfFauna', field: 'TypeOfFauna', width:100, headerSort:false, headerFilter:"input" },
        {title: 'Habitat', field: 'Habitat', width:80, headerSort:false, headerFilter:"input" },
        {title: 'Family', field: 'Family', width:100, headerSort:false, headerFilter:"input" },
        {title: 'Abundance', field: 'Abundance', width:100, headerSort:false, headerFilter:"input" },
        {title: 'Remarks', field: 'Remarks', width:100, headerSort:false, headerFilter:"input" }
    ],
    clipboard:"copy",
    clipboardCopySelector: "selected",
    movableColumns: true,
    selectable:true
});

//#######################
// RUN ON PAGE LOAD
$(document).ready(function() {
    ;
});

// #########################
// FUNCTIONS
function copyClip(row) {
    var copyString = '';
    Object.keys(row).forEach(element => {
        copyString += `${element}: ${row[element]}\n`;
    });
    
}